/***
    Copyright (C) 2013 Cable Developers

    This program or library is free software; you can redistribute it
    and/or modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 3 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General
    Public License along with this library; if not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301 USA.
***/

/**
 * Namespace for accessing the app's gsettings. May be used by any part of the app.
 */
namespace Cable.Settings {

    public static Settings.Preferences preferences;
    public static Settings.SavedState saved_state;

    /**
     * Load values from gsettings.
     */
    public static void init () {
        preferences = new Settings.Preferences ();
        saved_state = new Settings.SavedState ();
    }
}
