// converts raw IRC messages to valid Pango markup
// and makes URLs clickable
public class Cable.Utils.UpMarker : GLib.Object {

    string text;

    public UpMarker () {
    }

    public string mark_up (string text) {
        this.text = text;

        escape_text ();
        parse_color_codes ();
        markup_urls ();

        return this.text;
    }

    void escape_text () {
        text = GLib.Markup.escape_text (text);
    }

    void parse_color_codes () {
        text = ColorCodeParser.parse_text (text);
    }

    void markup_urls () {
        text = UrlUpMarker.markup_urls (text);
    }
}
